# XQQuery.hpp File Reference

`#include <xqilla/framework/XQillaExport.hpp>`
`#include <vector>`
`#include <string>`
`#include <xercesc/util/XMemory.hpp>`
`#include <xercesc/sax/InputSource.hpp>`
`#include <xqilla/runtime/ResultImpl.hpp>`
`#include <xqilla/runtime/LazySequenceResult.hpp>`
`#include <xqilla/context/StaticContext.hpp>`

Include dependency graph for XQQuery.hpp:

Go to the source code of this file.

## Classes

class | XQQuery
| Encapsulates a query expression. More...
class | XQQuery::QueryResult
| Top level lazy result iterator.
class | XQQuery::DebugResult
| Top level debug lazy result iterator.

## Defines

#define | AFXQ_XQUERY_H__FAA9933A_2F10_49A4_93A2_857E2A8C48E3__INCLUDED_

## Typedefs

typedef std::vector< XQUserFunction *, XQillaAllocator< XQUserFunction * > > | UserFunctions
typedef std::vector< XQGlobalVariable *, XQillaAllocator< XQGlobalVariable * > > | GlobalVariables
typedef std::vector< XQQuery *, XQillaAllocator< XQQuery * > > | ImportedModules

## Define Documentation

#define AFXQ_XQUERY_H__FAA9933A_2F10_49A4_93A2_857E2A8C48E3__INCLUDED_

## Typedef Documentation

typedef std::vector<XQGlobalVariable*, XQillaAllocator<XQGlobalVariable*> > GlobalVariables

typedef std::vector<XQQuery*, XQillaAllocator<XQQuery*> > ImportedModules

typedef std::vector<XQUserFunction*, XQillaAllocator<XQUserFunction*> > UserFunctions